// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/coffeelog/coffeelog.proto

package coffeelog

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DrinkType int32

const (
	DrinkType_DRINK_UNSPECIFIED DrinkType = 0
	DrinkType_COFFEE            DrinkType = 1
	DrinkType_BEER              DrinkType = 2
)

// Enum value maps for DrinkType.
var (
	DrinkType_name = map[int32]string{
		0: "DRINK_UNSPECIFIED",
		1: "COFFEE",
		2: "BEER",
	}
	DrinkType_value = map[string]int32{
		"DRINK_UNSPECIFIED": 0,
		"COFFEE":            1,
		"BEER":              2,
	}
)

func (x DrinkType) Enum() *DrinkType {
	p := new(DrinkType)
	*p = x
	return p
}

func (x DrinkType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DrinkType) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_vis_coffeelog_coffeelog_proto_enumTypes[0].Descriptor()
}

func (DrinkType) Type() protoreflect.EnumType {
	return &file_vseth_vis_coffeelog_coffeelog_proto_enumTypes[0]
}

func (x DrinkType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DrinkType.Descriptor instead.
func (DrinkType) EnumDescriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{0}
}

type LogDispenseRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StudentAssociation string    `protobuf:"bytes,1,opt,name=student_association,json=studentAssociation,proto3" json:"student_association,omitempty"`
	User               string    `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	Drink              DrinkType `protobuf:"varint,3,opt,name=drink,proto3,enum=vseth.vis.coffeelog.DrinkType" json:"drink,omitempty"`
}

func (x *LogDispenseRequest) Reset() {
	*x = LogDispenseRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LogDispenseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LogDispenseRequest) ProtoMessage() {}

func (x *LogDispenseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LogDispenseRequest.ProtoReflect.Descriptor instead.
func (*LogDispenseRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{0}
}

func (x *LogDispenseRequest) GetStudentAssociation() string {
	if x != nil {
		return x.StudentAssociation
	}
	return ""
}

func (x *LogDispenseRequest) GetUser() string {
	if x != nil {
		return x.User
	}
	return ""
}

func (x *LogDispenseRequest) GetDrink() DrinkType {
	if x != nil {
		return x.Drink
	}
	return DrinkType_DRINK_UNSPECIFIED
}

type LogDispenseResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The id of the logged dispense
	Id int32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *LogDispenseResponse) Reset() {
	*x = LogDispenseResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LogDispenseResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LogDispenseResponse) ProtoMessage() {}

func (x *LogDispenseResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LogDispenseResponse.ProtoReflect.Descriptor instead.
func (*LogDispenseResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{1}
}

func (x *LogDispenseResponse) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

type ListDispensesRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PageToken string `protobuf:"bytes,1,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	PageSize  int32  `protobuf:"varint,2,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
}

func (x *ListDispensesRequest) Reset() {
	*x = ListDispensesRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListDispensesRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListDispensesRequest) ProtoMessage() {}

func (x *ListDispensesRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListDispensesRequest.ProtoReflect.Descriptor instead.
func (*ListDispensesRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{2}
}

func (x *ListDispensesRequest) GetPageToken() string {
	if x != nil {
		return x.PageToken
	}
	return ""
}

func (x *ListDispensesRequest) GetPageSize() int32 {
	if x != nil {
		return x.PageSize
	}
	return 0
}

type ListDispensesResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	NextPageToken string           `protobuf:"bytes,1,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
	HasNextPage   bool             `protobuf:"varint,2,opt,name=has_next_page,json=hasNextPage,proto3" json:"has_next_page,omitempty"`
	PrevPageToken string           `protobuf:"bytes,3,opt,name=prev_page_token,json=prevPageToken,proto3" json:"prev_page_token,omitempty"`
	HasPrevPage   bool             `protobuf:"varint,4,opt,name=has_prev_page,json=hasPrevPage,proto3" json:"has_prev_page,omitempty"`
	TotalSize     int32            `protobuf:"varint,5,opt,name=total_size,json=totalSize,proto3" json:"total_size,omitempty"`
	Entries       []*DispenseEntry `protobuf:"bytes,6,rep,name=entries,proto3" json:"entries,omitempty"`
}

func (x *ListDispensesResponse) Reset() {
	*x = ListDispensesResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListDispensesResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListDispensesResponse) ProtoMessage() {}

func (x *ListDispensesResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListDispensesResponse.ProtoReflect.Descriptor instead.
func (*ListDispensesResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{3}
}

func (x *ListDispensesResponse) GetNextPageToken() string {
	if x != nil {
		return x.NextPageToken
	}
	return ""
}

func (x *ListDispensesResponse) GetHasNextPage() bool {
	if x != nil {
		return x.HasNextPage
	}
	return false
}

func (x *ListDispensesResponse) GetPrevPageToken() string {
	if x != nil {
		return x.PrevPageToken
	}
	return ""
}

func (x *ListDispensesResponse) GetHasPrevPage() bool {
	if x != nil {
		return x.HasPrevPage
	}
	return false
}

func (x *ListDispensesResponse) GetTotalSize() int32 {
	if x != nil {
		return x.TotalSize
	}
	return 0
}

func (x *ListDispensesResponse) GetEntries() []*DispenseEntry {
	if x != nil {
		return x.Entries
	}
	return nil
}

type GetDispenseRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetDispenseRequest) Reset() {
	*x = GetDispenseRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetDispenseRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDispenseRequest) ProtoMessage() {}

func (x *GetDispenseRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDispenseRequest.ProtoReflect.Descriptor instead.
func (*GetDispenseRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{4}
}

func (x *GetDispenseRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

type GetDispenseResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Entry *DispenseEntry `protobuf:"bytes,1,opt,name=entry,proto3" json:"entry,omitempty"`
}

func (x *GetDispenseResponse) Reset() {
	*x = GetDispenseResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetDispenseResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetDispenseResponse) ProtoMessage() {}

func (x *GetDispenseResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetDispenseResponse.ProtoReflect.Descriptor instead.
func (*GetDispenseResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{5}
}

func (x *GetDispenseResponse) GetEntry() *DispenseEntry {
	if x != nil {
		return x.Entry
	}
	return nil
}

type GetFVStatsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FromTime *timestamppb.Timestamp `protobuf:"bytes,1,opt,name=from_time,json=fromTime,proto3" json:"from_time,omitempty"`
	ToTime   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=to_time,json=toTime,proto3" json:"to_time,omitempty"`
	Drink    DrinkType              `protobuf:"varint,3,opt,name=drink,proto3,enum=vseth.vis.coffeelog.DrinkType" json:"drink,omitempty"`
}

func (x *GetFVStatsRequest) Reset() {
	*x = GetFVStatsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetFVStatsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetFVStatsRequest) ProtoMessage() {}

func (x *GetFVStatsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetFVStatsRequest.ProtoReflect.Descriptor instead.
func (*GetFVStatsRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{6}
}

func (x *GetFVStatsRequest) GetFromTime() *timestamppb.Timestamp {
	if x != nil {
		return x.FromTime
	}
	return nil
}

func (x *GetFVStatsRequest) GetToTime() *timestamppb.Timestamp {
	if x != nil {
		return x.ToTime
	}
	return nil
}

func (x *GetFVStatsRequest) GetDrink() DrinkType {
	if x != nil {
		return x.Drink
	}
	return DrinkType_DRINK_UNSPECIFIED
}

type GetFVStatsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ConsumedDrinks map[string]int32 `protobuf:"bytes,1,rep,name=consumed_drinks,json=consumedDrinks,proto3" json:"consumed_drinks,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"varint,2,opt,name=value,proto3"`
}

func (x *GetFVStatsResponse) Reset() {
	*x = GetFVStatsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetFVStatsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetFVStatsResponse) ProtoMessage() {}

func (x *GetFVStatsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetFVStatsResponse.ProtoReflect.Descriptor instead.
func (*GetFVStatsResponse) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{7}
}

func (x *GetFVStatsResponse) GetConsumedDrinks() map[string]int32 {
	if x != nil {
		return x.ConsumedDrinks
	}
	return nil
}

type DispenseEntry struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                 string                 `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	StudentAssociation string                 `protobuf:"bytes,2,opt,name=student_association,json=studentAssociation,proto3" json:"student_association,omitempty"`
	EventTime          *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=event_time,json=eventTime,proto3" json:"event_time,omitempty"`
	User               string                 `protobuf:"bytes,4,opt,name=user,proto3" json:"user,omitempty"`
	Drink              DrinkType              `protobuf:"varint,5,opt,name=drink,proto3,enum=vseth.vis.coffeelog.DrinkType" json:"drink,omitempty"`
}

func (x *DispenseEntry) Reset() {
	*x = DispenseEntry{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DispenseEntry) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DispenseEntry) ProtoMessage() {}

func (x *DispenseEntry) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DispenseEntry.ProtoReflect.Descriptor instead.
func (*DispenseEntry) Descriptor() ([]byte, []int) {
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP(), []int{8}
}

func (x *DispenseEntry) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *DispenseEntry) GetStudentAssociation() string {
	if x != nil {
		return x.StudentAssociation
	}
	return ""
}

func (x *DispenseEntry) GetEventTime() *timestamppb.Timestamp {
	if x != nil {
		return x.EventTime
	}
	return nil
}

func (x *DispenseEntry) GetUser() string {
	if x != nil {
		return x.User
	}
	return ""
}

func (x *DispenseEntry) GetDrink() DrinkType {
	if x != nil {
		return x.Drink
	}
	return DrinkType_DRINK_UNSPECIFIED
}

var File_vseth_vis_coffeelog_coffeelog_proto protoreflect.FileDescriptor

var file_vseth_vis_coffeelog_coffeelog_proto_rawDesc = []byte{
	0x0a, 0x23, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x63, 0x6f, 0x66, 0x66,
	0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2f, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x13, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x8f, 0x01, 0x0a, 0x12,
	0x4c, 0x6f, 0x67, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x2f, 0x0a, 0x13, 0x73, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x5f, 0x61, 0x73,
	0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x12, 0x73, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x34, 0x0a, 0x05, 0x64, 0x72, 0x69, 0x6e, 0x6b,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x44, 0x72, 0x69,
	0x6e, 0x6b, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x22, 0x25, 0x0a,
	0x13, 0x4c, 0x6f, 0x67, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x02, 0x69, 0x64, 0x22, 0x52, 0x0a, 0x14, 0x4c, 0x69, 0x73, 0x74, 0x44, 0x69, 0x73, 0x70,
	0x65, 0x6e, 0x73, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a,
	0x70, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x70, 0x61, 0x67, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x70,
	0x61, 0x67, 0x65, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08,
	0x70, 0x61, 0x67, 0x65, 0x53, 0x69, 0x7a, 0x65, 0x22, 0x8c, 0x02, 0x0a, 0x15, 0x4c, 0x69, 0x73,
	0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x26, 0x0a, 0x0f, 0x6e, 0x65, 0x78, 0x74, 0x5f, 0x70, 0x61, 0x67, 0x65, 0x5f,
	0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x6e, 0x65, 0x78,
	0x74, 0x50, 0x61, 0x67, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x22, 0x0a, 0x0d, 0x68, 0x61,
	0x73, 0x5f, 0x6e, 0x65, 0x78, 0x74, 0x5f, 0x70, 0x61, 0x67, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x0b, 0x68, 0x61, 0x73, 0x4e, 0x65, 0x78, 0x74, 0x50, 0x61, 0x67, 0x65, 0x12, 0x26,
	0x0a, 0x0f, 0x70, 0x72, 0x65, 0x76, 0x5f, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x6f, 0x6b, 0x65,
	0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x70, 0x72, 0x65, 0x76, 0x50, 0x61, 0x67,
	0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x22, 0x0a, 0x0d, 0x68, 0x61, 0x73, 0x5f, 0x70, 0x72,
	0x65, 0x76, 0x5f, 0x70, 0x61, 0x67, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0b, 0x68,
	0x61, 0x73, 0x50, 0x72, 0x65, 0x76, 0x50, 0x61, 0x67, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x74, 0x6f,
	0x74, 0x61, 0x6c, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09,
	0x74, 0x6f, 0x74, 0x61, 0x6c, 0x53, 0x69, 0x7a, 0x65, 0x12, 0x3c, 0x0a, 0x07, 0x65, 0x6e, 0x74,
	0x72, 0x69, 0x65, 0x73, 0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67,
	0x2e, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x07,
	0x65, 0x6e, 0x74, 0x72, 0x69, 0x65, 0x73, 0x22, 0x24, 0x0a, 0x12, 0x47, 0x65, 0x74, 0x44, 0x69,
	0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x4f, 0x0a,
	0x13, 0x47, 0x65, 0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x38, 0x0a, 0x05, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e,
	0x73, 0x65, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x05, 0x65, 0x6e, 0x74, 0x72, 0x79, 0x22, 0xb7,
	0x01, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x46, 0x56, 0x53, 0x74, 0x61, 0x74, 0x73, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x09, 0x66, 0x72, 0x6f, 0x6d, 0x5f, 0x74, 0x69, 0x6d,
	0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x08, 0x66, 0x72, 0x6f, 0x6d, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x33, 0x0a,
	0x07, 0x74, 0x6f, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x06, 0x74, 0x6f, 0x54, 0x69,
	0x6d, 0x65, 0x12, 0x34, 0x0a, 0x05, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f,
	0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x05, 0x64, 0x72, 0x69, 0x6e, 0x6b, 0x22, 0xbd, 0x01, 0x0a, 0x12, 0x47, 0x65, 0x74,
	0x46, 0x56, 0x53, 0x74, 0x61, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x64, 0x0a, 0x0f, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x64, 0x5f, 0x64, 0x72, 0x69, 0x6e,
	0x6b, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x47,
	0x65, 0x74, 0x46, 0x56, 0x53, 0x74, 0x61, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x2e, 0x43, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x64, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x0e, 0x63, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65, 0x64, 0x44,
	0x72, 0x69, 0x6e, 0x6b, 0x73, 0x1a, 0x41, 0x0a, 0x13, 0x43, 0x6f, 0x6e, 0x73, 0x75, 0x6d, 0x65,
	0x64, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03,
	0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14,
	0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x76,
	0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x22, 0xd5, 0x01, 0x0a, 0x0d, 0x44, 0x69, 0x73,
	0x70, 0x65, 0x6e, 0x73, 0x65, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x2f, 0x0a, 0x13, 0x73, 0x74,
	0x75, 0x64, 0x65, 0x6e, 0x74, 0x5f, 0x61, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x73, 0x74, 0x75, 0x64, 0x65, 0x6e, 0x74,
	0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x39, 0x0a, 0x0a, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x34, 0x0a, 0x05, 0x64, 0x72,
	0x69, 0x6e, 0x6b, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e,
	0x44, 0x72, 0x69, 0x6e, 0x6b, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x64, 0x72, 0x69, 0x6e, 0x6b,
	0x2a, 0x38, 0x0a, 0x09, 0x44, 0x72, 0x69, 0x6e, 0x6b, 0x54, 0x79, 0x70, 0x65, 0x12, 0x15, 0x0a,
	0x11, 0x44, 0x52, 0x49, 0x4e, 0x4b, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49,
	0x45, 0x44, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x43, 0x4f, 0x46, 0x46, 0x45, 0x45, 0x10, 0x01,
	0x12, 0x08, 0x0a, 0x04, 0x42, 0x45, 0x45, 0x52, 0x10, 0x02, 0x32, 0x96, 0x03, 0x0a, 0x09, 0x43,
	0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x12, 0x60, 0x0a, 0x0b, 0x4c, 0x6f, 0x67, 0x44,
	0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x12, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x4c, 0x6f,
	0x67, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66,
	0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x4c, 0x6f, 0x67, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e,
	0x73, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x66, 0x0a, 0x0d, 0x4c, 0x69,
	0x73, 0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x73, 0x12, 0x29, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f,
	0x67, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x73, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x60, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73,
	0x65, 0x12, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f,
	0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x47, 0x65, 0x74, 0x44, 0x69, 0x73, 0x70, 0x65,
	0x6e, 0x73, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67,
	0x2e, 0x47, 0x65, 0x74, 0x44, 0x69, 0x73, 0x70, 0x65, 0x6e, 0x73, 0x65, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x46, 0x56, 0x53, 0x74, 0x61,
	0x74, 0x73, 0x12, 0x26, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63,
	0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x2e, 0x47, 0x65, 0x74, 0x46, 0x56, 0x53, 0x74,
	0x61, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67,
	0x2e, 0x47, 0x65, 0x74, 0x46, 0x56, 0x53, 0x74, 0x61, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x42, 0x68, 0x0a, 0x16, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x50, 0x01, 0x5a,
	0x4c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c,
	0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74,
	0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f,
	0x76, 0x69, 0x73, 0x2f, 0x63, 0x6f, 0x66, 0x66, 0x65, 0x65, 0x6c, 0x6f, 0x67, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_vis_coffeelog_coffeelog_proto_rawDescOnce sync.Once
	file_vseth_vis_coffeelog_coffeelog_proto_rawDescData = file_vseth_vis_coffeelog_coffeelog_proto_rawDesc
)

func file_vseth_vis_coffeelog_coffeelog_proto_rawDescGZIP() []byte {
	file_vseth_vis_coffeelog_coffeelog_proto_rawDescOnce.Do(func() {
		file_vseth_vis_coffeelog_coffeelog_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_coffeelog_coffeelog_proto_rawDescData)
	})
	return file_vseth_vis_coffeelog_coffeelog_proto_rawDescData
}

var file_vseth_vis_coffeelog_coffeelog_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_vseth_vis_coffeelog_coffeelog_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_vseth_vis_coffeelog_coffeelog_proto_goTypes = []interface{}{
	(DrinkType)(0),                // 0: vseth.vis.coffeelog.DrinkType
	(*LogDispenseRequest)(nil),    // 1: vseth.vis.coffeelog.LogDispenseRequest
	(*LogDispenseResponse)(nil),   // 2: vseth.vis.coffeelog.LogDispenseResponse
	(*ListDispensesRequest)(nil),  // 3: vseth.vis.coffeelog.ListDispensesRequest
	(*ListDispensesResponse)(nil), // 4: vseth.vis.coffeelog.ListDispensesResponse
	(*GetDispenseRequest)(nil),    // 5: vseth.vis.coffeelog.GetDispenseRequest
	(*GetDispenseResponse)(nil),   // 6: vseth.vis.coffeelog.GetDispenseResponse
	(*GetFVStatsRequest)(nil),     // 7: vseth.vis.coffeelog.GetFVStatsRequest
	(*GetFVStatsResponse)(nil),    // 8: vseth.vis.coffeelog.GetFVStatsResponse
	(*DispenseEntry)(nil),         // 9: vseth.vis.coffeelog.DispenseEntry
	nil,                           // 10: vseth.vis.coffeelog.GetFVStatsResponse.ConsumedDrinksEntry
	(*timestamppb.Timestamp)(nil), // 11: google.protobuf.Timestamp
}
var file_vseth_vis_coffeelog_coffeelog_proto_depIdxs = []int32{
	0,  // 0: vseth.vis.coffeelog.LogDispenseRequest.drink:type_name -> vseth.vis.coffeelog.DrinkType
	9,  // 1: vseth.vis.coffeelog.ListDispensesResponse.entries:type_name -> vseth.vis.coffeelog.DispenseEntry
	9,  // 2: vseth.vis.coffeelog.GetDispenseResponse.entry:type_name -> vseth.vis.coffeelog.DispenseEntry
	11, // 3: vseth.vis.coffeelog.GetFVStatsRequest.from_time:type_name -> google.protobuf.Timestamp
	11, // 4: vseth.vis.coffeelog.GetFVStatsRequest.to_time:type_name -> google.protobuf.Timestamp
	0,  // 5: vseth.vis.coffeelog.GetFVStatsRequest.drink:type_name -> vseth.vis.coffeelog.DrinkType
	10, // 6: vseth.vis.coffeelog.GetFVStatsResponse.consumed_drinks:type_name -> vseth.vis.coffeelog.GetFVStatsResponse.ConsumedDrinksEntry
	11, // 7: vseth.vis.coffeelog.DispenseEntry.event_time:type_name -> google.protobuf.Timestamp
	0,  // 8: vseth.vis.coffeelog.DispenseEntry.drink:type_name -> vseth.vis.coffeelog.DrinkType
	1,  // 9: vseth.vis.coffeelog.Coffeelog.LogDispense:input_type -> vseth.vis.coffeelog.LogDispenseRequest
	3,  // 10: vseth.vis.coffeelog.Coffeelog.ListDispenses:input_type -> vseth.vis.coffeelog.ListDispensesRequest
	5,  // 11: vseth.vis.coffeelog.Coffeelog.GetDispense:input_type -> vseth.vis.coffeelog.GetDispenseRequest
	7,  // 12: vseth.vis.coffeelog.Coffeelog.GetFVStats:input_type -> vseth.vis.coffeelog.GetFVStatsRequest
	2,  // 13: vseth.vis.coffeelog.Coffeelog.LogDispense:output_type -> vseth.vis.coffeelog.LogDispenseResponse
	4,  // 14: vseth.vis.coffeelog.Coffeelog.ListDispenses:output_type -> vseth.vis.coffeelog.ListDispensesResponse
	6,  // 15: vseth.vis.coffeelog.Coffeelog.GetDispense:output_type -> vseth.vis.coffeelog.GetDispenseResponse
	8,  // 16: vseth.vis.coffeelog.Coffeelog.GetFVStats:output_type -> vseth.vis.coffeelog.GetFVStatsResponse
	13, // [13:17] is the sub-list for method output_type
	9,  // [9:13] is the sub-list for method input_type
	9,  // [9:9] is the sub-list for extension type_name
	9,  // [9:9] is the sub-list for extension extendee
	0,  // [0:9] is the sub-list for field type_name
}

func init() { file_vseth_vis_coffeelog_coffeelog_proto_init() }
func file_vseth_vis_coffeelog_coffeelog_proto_init() {
	if File_vseth_vis_coffeelog_coffeelog_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LogDispenseRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LogDispenseResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListDispensesRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListDispensesResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetDispenseRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetDispenseResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetFVStatsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetFVStatsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_coffeelog_coffeelog_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DispenseEntry); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_coffeelog_coffeelog_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_coffeelog_coffeelog_proto_goTypes,
		DependencyIndexes: file_vseth_vis_coffeelog_coffeelog_proto_depIdxs,
		EnumInfos:         file_vseth_vis_coffeelog_coffeelog_proto_enumTypes,
		MessageInfos:      file_vseth_vis_coffeelog_coffeelog_proto_msgTypes,
	}.Build()
	File_vseth_vis_coffeelog_coffeelog_proto = out.File
	file_vseth_vis_coffeelog_coffeelog_proto_rawDesc = nil
	file_vseth_vis_coffeelog_coffeelog_proto_goTypes = nil
	file_vseth_vis_coffeelog_coffeelog_proto_depIdxs = nil
}
